## Application chooser tree Application chooser tree — Applications tree for application selection dialogs. |

## Functions

GAppInfo * | fm_app_menu_view_dup_selected_app ()
char * | fm_app_menu_view_dup_selected_app_desktop_file_path ()
char * | fm_app_menu_view_dup_selected_app_desktop_id ()
FmPath * | fm_app_menu_view_dup_selected_app_desktop_path ()
gboolean | fm_app_menu_view_is_app_selected ()
gboolean | fm_app_menu_view_is_item_app ()
GtkTreeView * | fm_app_menu_view_new ()

## Description

`include` : libfm/fm-gtk.h

The widget to represent known applications as a tree.

## Functions

### fm_app_menu_view_dup_selected_app ()

    GAppInfo *
    fm_app_menu_view_dup_selected_app (GtkTreeView *view);

Retrieves selected application from the widget. The returned data should be freed with `g_object_unref()` after usage.

Before 1.0.0 this call had name fm_app_menu_view_get_selected_app.

#### Parameters

view | a widget |

#### Returns

selected application descriptor.

[transfer full]

Since: 0.1.0

### fm_app_menu_view_dup_selected_app_desktop_file_path ()

    char *
    fm_app_menu_view_dup_selected_app_desktop_file_path
                                   (GtkTreeView *view);

Retrieves file path to selected application from the widget. The returned data should be freed with `g_free()` after usage.

Before 1.0.0 this call had name fm_app_menu_view_get_selected_app_desktop_file.

#### Parameters

view | a widget |

#### Returns

path to selected application file.

[transfer full]

Since: 0.1.0

### fm_app_menu_view_dup_selected_app_desktop_id ()

    char *
    fm_app_menu_view_dup_selected_app_desktop_id
                                   (GtkTreeView *view);

Retrieves name of selected application from the widget. The returned data should be freed with `g_free()` after usage.

Before 1.0.0 this call had name fm_app_menu_view_get_selected_app_desktop_id.

#### Parameters

view | a widget |

#### Returns

selected application name.

[transfer full]

Since: 0.1.0

### fm_app_menu_view_dup_selected_app_desktop_path ()

    FmPath *
    fm_app_menu_view_dup_selected_app_desktop_path
                                   (GtkTreeView *view);

Retrieves FmPath to selected application from the widget as a child below `fm_path_get_apps_menu()` root path. Return `NULL` if there is no application selected. The returned data should be freed with `fm_path_unref()` after usage.

#### Parameters

view | a widget |

#### Returns

path to selected application file.

[transfer full]

Since: 1.2.0

### fm_app_menu_view_is_app_selected ()

    gboolean
    fm_app_menu_view_is_app_selected (GtkTreeView *view);

Checks if there is an application selected in `view` .

#### Parameters

view | a widget |

#### Returns

`TRUE` if there is an application selected.

Since: 0.1.0

### fm_app_menu_view_is_item_app ()

    gboolean
    fm_app_menu_view_is_item_app (GtkTreeView *view,
                                  GtkTreeIter *it);

Checks if item at `it` is an application.

#### Parameters

view | a widget |
it | tree iterator |

#### Returns

`TRUE` if item is an application.

Since: 0.1.0

### fm_app_menu_view_new ()

    GtkTreeView *
    fm_app_menu_view_new (void);

Creates new application tree widget.

#### Returns

a new widget.

[transfer full]

Since: 0.1.0

## Types and Values